RubyGems Navigation menu

rubocop 0.47.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.35.0 - August 12, 2022 (553 KB)
  2. 1.34.1 - August 09, 2022 (548 KB)
  3. 1.34.0 - August 09, 2022 (548 KB)
  4. 1.33.0 - August 04, 2022 (546 KB)
  5. 1.32.0 - July 21, 2022 (544 KB)
  6. 0.47.1 - January 18, 2017 (289 KB)
Show all versions (216 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.3.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    a7066a0c553e3bad1f118062deef5f05d050a6cf11cb9c9cda067b2a891a7916

    Total downloads 249,862,501

    For this version 3,076,209

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    New versions require MFA: true

    Links: